Subject: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Juri Linkov <[email-masked]>
Date: Tue, 22 Oct 2019 00:29:41 +0300

>>> > But I think that our (e)diff blocks are affected by the change and all
>>> > their face settings probably have to change, as well as tables and
>>> > listings.
>>>
>>> Yes, (e)diff face settings have to change, but actually I discovered
>>> that diff-refined faces don't need to extend to the window edge,
>>> because they don't form a block, they are word-based.
>>
>> I agree.  I think the number of faces that might need to include
>> :extend is very small.
>
> So I added :extend to diff faces, except word-based refinement faces.

I forgot to add :extend to dynamically generated vc-annotate faces,
now fixed.  I wonder how many such tricky cases still remain undiscovered.